Page MenuHomePhabricator

Add links to preliminary check results table
Closed, ResolvedPublic

Description

The preliminary results table should contain links, as illustrated in the prototype screenshot in T237039.

The links should be as follows:

ColumnTextLink to
UsernameUser's nameNo link
WikiWiki's name in canonical formOn-wiki user page
EditsUser's edit count for a wikiUser's contributions page on that wiki
GroupsEach group the user is inNo link

Excluded from this task:

  • user page link to be red or blue link depending on page existence on local wikis. Will be a new task if needed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2020, 9:38 PM
Tchanders updated the task description. (Show Details)Jan 24 2020, 9:46 PM
Tchanders added a subscriber: Prtksxna.

@Niharika @Prtksxna I've made a list of where the links should point to, based on the task description from T237039. I was unsure about some of them - would you mind checking the table and filling in the gaps?

  • I don't think the groups need to be linked to anything. The documentation about these groups if we must, but I don't think that is necessary.
  • Do we know the users' home wiki, like the one they signed up on? If yes then we can link to their Talk page from the user name.
  • The wiki's names could link to their User page on that wiki.
Niharika updated the task description. (Show Details)Feb 3 2020, 9:11 PM

@Tchanders I updated the task description. The only weird thing is that there is no central global contributions page so we need to link to the toolsforge tool for global contribs.

@Niharika Adding this link would only make sense for WMF sites:

User's global contributions page (in the guc tool - https://tools.wmflabs.org/guc/, no other place to do that)

If a third party was using Special:Investigate, it wouldn't make sense to send them here; they might get no results, or nonsensical results if there's a username match.

@Niharika Adding this link would only make sense for WMF sites:

User's global contributions page (in the guc tool - https://tools.wmflabs.org/guc/, no other place to do that)

If a third party was using Special:Investigate, it wouldn't make sense to send them here; they might get no results, or nonsensical results if there's a username match.

Oh, good point. Can we do it conditionally in the code? Would that make sense to do in the extension or elsewhere?

Change 570471 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] Add links to preliminary check results table

https://gerrit.wikimedia.org/r/570471

Oh, good point. Can we do it conditionally in the code? Would that make sense to do in the extension or elsewhere?

@Niharika I guess it might be a little odd to do this in the extension, since the extension is used on third party wikis. We could add a link via the WikimediaMessages extension, but I'm not sure how straightforward it would be to add a link to each table cell, since we'd have to run a hook after we get the results.

Would it be helpful to put up a single link to this tool (not linking to a particular user) at the top of page, via WikimediaMessages? Or is that too generic to be of much use?

Another thing that occurred to me was that having the same link in every cell with a given user's name might be a bit repetitive (whereas the wiki-user-page and wiki-user-contributions links will all be unique).

Niharika added a comment.EditedFeb 13 2020, 12:32 AM

@Tchanders Let's take that to a new ticket. I'll check-in with the users and Prateek and see if we can do this a different way. We can have a follow-up ticket for that link. For now it's okay to ignore it. I'll update the task description.

Removed the following from the task:

Username"Global Contributions"User's global contributions page (in the guc tool - https://tools.wmflabs.org/guc/, no other place to do that)
Niharika updated the task description. (Show Details)Feb 13 2020, 12:33 AM
WikiWiki's name in canonical formOn-wiki user page (red or blue link depending on page existence)

Have been discussing this with @dmaza - this is trickier than a local user page because of being an external wiki. Could we make a separate task for this?

(I also wonder if a red link might be misleading since the text is the wiki name, but that might just be me!)

WikiWiki's name in canonical formOn-wiki user page (red or blue link depending on page existence)

Have been discussing this with @dmaza - this is trickier than a local user page because of being an external wiki. Could we make a separate task for this?

(I also wonder if a red link might be misleading since the text is the wiki name, but that might just be me!)

Yeah, that works for me. Will update the task.

Niharika updated the task description. (Show Details)Feb 14 2020, 8:11 PM
Niharika updated the task description. (Show Details)

Change 570471 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Add links to Special:Investigate preliminary check results table

https://gerrit.wikimedia.org/r/570471

The wiki column links to the User:$user page for the correct user and wiki.

The edits column links to the Special:Contributions/$user page for the correct user and wiki.

Tested this on my local vagrant, CheckUser 2.5 (bb62ea2) 07:23, 19 February 2020.

Tchanders closed this task as Resolved.Feb 19 2020, 3:41 PM